package com.qmth.distributed.print.business.bean.dto.report;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 报告课程考核成绩评价结果dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
public class ReportCourseEvaluationResultDto implements Serializable {

    @ApiModelProperty(value = "课程总目标")
    private String target;

    @ApiModelProperty(value = "课程目标达成评价值")
    private BigDecimal targetValue = new BigDecimal(0);

    @ApiModelProperty(value = "课程目标集合")
    private List<CourseTargetWebDto> targetList;

    public ReportCourseEvaluationResultDto() {

    }

    public ReportCourseEvaluationResultDto(String target, BigDecimal targetValue, List<CourseTargetWebDto> targetList) {
        this.target = target;
        this.targetValue = targetValue;
        this.targetList = targetList;
    }

    public ReportCourseEvaluationResultDto(List<CourseTargetWebDto> targetList) {
        this.targetList = targetList;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public BigDecimal getTargetValue() {
        return targetValue;
    }

    public void setTargetValue(BigDecimal targetValue) {
        this.targetValue = targetValue;
    }

    public List<CourseTargetWebDto> getTargetList() {
        return targetList;
    }

    public void setTargetList(List<CourseTargetWebDto> targetList) {
        this.targetList = targetList;
    }
}
